[arch-commits] Commit in (4 files)

Jan de Groot jgc at archlinux.org
Sat Nov 21 15:58:17 EST 2009


    Date: Saturday, November 21, 2009 @ 15:58:16
  Author: jgc
Revision: 59297

Add new package: libvdpau

Added:
  libvdpau/
  libvdpau/repos/
  libvdpau/trunk/
  libvdpau/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: libvdpau/trunk/PKGBUILD
===================================================================
--- libvdpau/trunk/PKGBUILD	                        (rev 0)
+++ libvdpau/trunk/PKGBUILD	2009-11-21 20:58:16 UTC (rev 59297)
@@ -0,0 +1,24 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libvdpau
+pkgver=0.3
+pkgrel=1
+pkgdesc="Nvidia VDPAU library"
+arch=(i686 x86_64)
+url=http://cgit.freedesktop.org/~aplattner/libvdpau
+depends=('gcc-libs>=4.4.2')
+options=('!libtool')
+license=('custom')
+source=(http://people.freedesktop.org/~aplattner/vdpau/${pkgname}-${pkgver}.tar.gz)
+sha1sums=('e32980329c84dbb90e2954e4a38051618f053ef7')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+
+  install -d -m755 "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}



More information about the arch-commits mailing list